- name: Deploy first_settings script on devices
  sgos.sgos_command.sgos_command:
    provider: "{{ provider }}"
    cmd: |
      appliance-name {{ target }}
      security password
      {{ pwd_security }}
      {{ pwd_security }}
      security enable-password
      {{ pwd_security }}
      {{ pwd_security }}
      ssl
      inline keyring show {{ target }} eof
      -----BEGIN ENCRYPTED PRIVATE KEY-----
      {{ private_key_service }}
      -----END ENCRYPTED PRIVATE KEY-----
      eof{{ private_key_pwd_service }}

      inline certificate {{ target }} eof
      -----BEGIN CERTIFICATE-----
      {{ certificate_service }}
      -----END CERTIFICATE-----
      eof

      inline keyring show {{ target }}-mgt eof
      -----BEGIN ENCRYPTED PRIVATE KEY-----
      {{ private_key_mgt }}
      -----END ENCRYPTED PRIVATE KEY-----
      eof{{ private_key_pwd_mgt }}

      inline certificate {{ target }}-mgt eof
      -----BEGIN CERTIFICATE-----
      {{ certificate_mgt }}
      -----END CERTIFICATE-----
      eof
  register: first_settings
  delegate_to: "{{ delegate_host }}"

- name: Show Script Result
  ansible.builtin.debug:
    msg: "{{ first_settings }}"

- name: Look for Error
  ansible.builtin.set_fact:
    check: "{{ first_settings | regex_search('Invalid.*\n.*') }}"

- name: Print Error
  ansible.builtin.debug:
    msg: "{{ check }}. Please check the '{{ script_path }}/{{ script }}' script in order to find the bad command !!"
  when: check
